/* Slick slider*/
.slick-carousel {
    max-width: 100%;
    overflow: hidden;
    margin-bottom: 50px;
}

.slick-track {
    display: flex;
    flex-wrap: wrap;
    width: calc(100% + 2em);
}

/* Catalogs */
.catalog__card {
    height: 22.5em;
    /*margin: 1em 2em 0 0;*/
    margin: 1em;
    position: relative;
    width: calc(50% - 2em);
}

.catalog__card::after {
    content: '';
    position: absolute;

    width: 4.5em;
    height: 4.5em;

    top: 1em;
    right: 1em;

    background: url('/blocks/catalogs/img/pdf.svg') no-repeat;
}

.catalog__img {
    border-radius: 1em;
    display: block;
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.catalog__text {
    -webkit-backdrop-filter: blur(12.5px);
    backdrop-filter: blur(12.5px);
    background: linear-gradient(0deg, #0003, #0003), #f4f4f44d;
    border-radius: 0 0 1em 1em;
    bottom: 0;
    left: 0;
    padding: 1em 1.25em;
    position: absolute;
    width: 100%;

    transition: all .3s ease-in;
}

.catalog__header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.catalog__header_start {
    justify-content: flex-start;
    gap: 20px;
}

.catalog__h3 {
    color: white;
}


.catalog__title,
.catalog__category {
    margin: 0;
    font-size: 1.125em;
    font-weight: 600;
    line-height: 133%;
}


.catalog__footer {
    height: 0;
    opacity: 0;
    overflow: hidden;
    transform: translateY(10px);
    transition: height .3s cubic-bezier(0.83, 0, 0.55, 0.95), transform 0.1s ease-in-out, opacity .2s ease-in-out;
    will-change: height, transform, opacity;

    display: flex;
    align-items: end;
    justify-content: end;
}

.catalog__card:hover .catalog__footer {
    height: 4em;
    opacity: 1;
    transform: translateY(0);
}

.catalog__card:hover .catalog__text {
    -webkit-backdrop-filter: blur(20.5px);
    backdrop-filter: blur(20.5px);
}

.flex__wrap {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    align-items: flex-start;
}

.mrg__top__16 {
    margin-top: 16px;
}

.catalogs__hidden {
    opacity: 0.5;
}

/*help*/
.catalog__card .admin__footer__catalogs {
    position: absolute;
    top: 1em !important;
    left: 1em !important;
    z-index: 1;
}

.row.catalogs {
    gap: 1em;
    align-items: center;
}

.catalog__section {
    margin-top: 2em;
    width: 100%;
}

/* Table */
.catalog-table {
    border-collapse: separate;
    border-spacing: 0;
    border-radius: 1em;
    width: 100%;
    margin: 0 0 2em 0;
    color: white;
}

.catalog-table thead {
    background-color: #00ac86;
}

.catalog-table tbody {
    background-color: #3c3c3c;
    transition: all .3s ease-in;
}

.catalog-table tbody tr:hover {
    /* background-color: #4F4F4F; */
    background-color: #464646;
    color: #00ac86;
}


.catalog-table th,
.catalog-table td {
    border: 1px solid #00ac86;
    padding: 1em .5em;
    text-align: center;
    min-width: 7em;
}

.catalog-table th {
    border-left-color: white;
    border-right-color: white;
    border-bottom-color: white;
}

.catalog-table th:first-child {
    border-top-left-radius: 1em;
    border-left-color: #00ac86;
}

.catalog-table tr:last-child td:first-child {
    border-bottom-left-radius: 1em;
}

.catalog-table th:last-child {
    border-top-right-radius: 1em;
    border-right-color: #00ac86;
}

.catalog-table tr:last-child td:last-child {
    border-bottom-right-radius: 1em;
}

.catalog-table td:nth-child(2),
.catalog-table th:nth-child(2) {
    width: 35em;
}

.catalog__btn-left {
    display: flex;
    justify-content: flex-end;     
    margin: 0;            /* Убираем отступы */
    padding: 0;           /* Убираем внутренние отступы */
}

/* Стили для подсветки найденных терминов */
.highlight {
    /* background-color: red; */
    color: #00ac86;
    /* padding: 2px 4px; */
    /* border-radius: 3px; */
    font-weight: bold;
}

/* Подсветка всей строки, содержащей найденные термины */
.catalog-table tr.highlight-row {
    background-color: #4a4a4a !important; /* Чуть темнее чем #4F4F4F */
}

.catalog-table tr.highlight-row:hover {
    background-color: #464646 !important; /* Такой же как при наведении */
    color: #00ac86;
}